%define rel             4
%define name            libwps
%define ups_version     0.2.9
%define version         0.2.9
%define release         %mkrel %{rel}
%define api_version     0.2
%define lib_major       2
%define lib_name        %mklibname wps %{api_version} %{lib_major}
%define lib_name_devel  %mklibname -d wps

Name:		%{name}
Summary:	Library for reading and converting Microsoft Works word processor documents
Epoch:		1
Version:	%{version}
Release:	%{release}
Source:		http://downloads.sourceforge.net/%{name}/%{name}/%{name}-%{version}.tar.bz2
Group:		Office/Utilities
URL:		http://libwps.sourceforge.net/
License:	LGPLv2+
BuildRequires:	doxygen
BuildRequires:	libwpd-devel >= 0.9.0
BuildRequires:	glibc-devel
BuildRequires:	boost-devel

%description
Library that handles Microsoft Works documents.

%package	tools
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Summary:	Tools to transform Works documents into other formats
Group:		Publishing

%description tools
Tools to transform Works documents into other formats.
Currently supported: html, raw, text

%package	-n %{lib_name}
Summary:	Library for reading and converting Microsoft Works word processor documents
Group:		System/Libraries
Obsoletes:	%mklibname wps- 0.1 1

%description -n %{lib_name}
Library that handles Microsoft Works documents.

%package	-n %{lib_name_devel}
Summary:	Files for developing with libwps
Group:		Development/C++
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	libwps-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
Includes and definitions for developing with libwps.

%package	docs
Requires:	libwps-devel = %{epoch}:%{version}-%{release}
Summary:	Documentation of libwps API
Group:		Development/C++
BuildArch:	noarch

%description docs
Documentation of libwps API for developing with libwps

%prep
%setup -q -n %{name}-%{ups_version}

%build
%configure2_5x --disable-static --disable-werror
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files tools
%{_bindir}/wps2*

%files -n %{lib_name}
%{_libdir}/libwps*-%{api_version}.so.%{lib_major}
%{_libdir}/libwps*-%{api_version}.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_libdir}/libwps*-%{api_version}.so
%{_libdir}/pkgconfig/libwps*-%{api_version}.pc
%{_includedir}/libwps-%{api_version}/libwps

%files docs
%{_docdir}/libwps/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.2.9-4.mga4
+ Revision: 532389
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 fwang <fwang> 1:0.2.9-3.mga4
+ Revision: 468244
- disable werror

* Mon Jul 08 2013 fwang <fwang> 1:0.2.9-2.mga4
+ Revision: 451141
- rebuild for new boost

* Sat Jun 01 2013 sander85 <sander85> 1:0.2.9-1.mga4
+ Revision: 434162
- Fix group
- New version: 0.2.9

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-2.mga3
+ Revision: 260714
- fix requires

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-1.mga3
+ Revision: 260694
- new version 0.2.7

* Fri Jun 08 2012 fwang <fwang> 1:0.2.6-1.mga3
+ Revision: 257676
- br boost
- new version 0.2.6

* Tue Dec 06 2011 fwang <fwang> 1:0.2.4-1.mga2
+ Revision: 177321
- new version 0.2.4

* Mon Jul 18 2011 fwang <fwang> 1:0.2.2-1.mga2
+ Revision: 125636
- new version 0.2.2

* Sun Jan 23 2011 dmorgan <dmorgan> 1:0.2.0-5.mga1
+ Revision: 33514
- New version ( 0.2.0 ) Neeeded by libreoffice
- imported package libwps


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.2-5mdv2011.0
+ Revision: 602617
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.2-4mdv2010.1
+ Revision: 520952
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:0.1.2-3mdv2010.0
+ Revision: 425880
- rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.2-2mdv2009.0
+ Revision: 229833
- rebuild

* Sun Jan 06 2008 Funda Wang <fwang@mandriva.org> 1:0.1.2-1mdv2008.1
+ Revision: 145946
- fix doc dir
- New version 0.1.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Funda Wang <fwang@mandriva.org> 1:0.1.0-7mdv2008.1
+ Revision: 105960
- adopt to libname policy

* Mon Nov 05 2007 Funda Wang <fwang@mandriva.org> 1:0.1.0-6mdv2008.1
+ Revision: 105958
- fix requires of tools and devel

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Wed Aug 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1:0.1.0-5mdv2008.0
+ Revision: 74902
- Fix epoch handling.

* Wed Aug 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1:0.1.0-4mdv2008.0
+ Revision: 74859
- New upstream: 0.1.0 final.

* Fri Aug 03 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0.svn20070129-4mdv2008.0
+ Revision: 58625
- Remove ~ from the version tag.

* Fri Jun 29 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0~svn20070129-3mdv2008.0
+ Revision: 45871
- Add provides on -devel due to 64b stuff.

* Tue Jun 26 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0~svn20070129-2mdv2008.0
+ Revision: 44663
- Fix requirest from -devel to lib.

* Tue Jun 26 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.1.0~svn20070129-1mdv2008.0
+ Revision: 44627
- Added missing buildrequires to doxygen.
- Adapted to Mandriva.
- Import libwps



* Sun Sep 24 2006 Andrew Ziem <andrewziem users sourceforge net>
- wpd to wps

* Fri Jan 28 2005 Fridrich Strba <fridrich.strba@bluewin.ch>
- Adapt to the new libwpd-X.Y and libwpd-stream-X.Y modules

* Wed Sep 29 2004 Fridrich Strba <fridrich.strba@bluewin.ch>
- Move files between libwpd and libwpd-devel packages
- Reflect the separation of libwpd-1 and libwpd-stream-1

* Sat May 22 2003 Rui M. Seabra <rms@1407.org>
- Reflect current state of build

* Sat Apr 26 2003 Rui M. Seabra <rms@1407.org>
- Create rpm spec
